CodingMantra LogoCodingMantra
GalleryProductsPortfolioServicesGamesPricingContact
CodingMantra LogoCodingMantra

Providing business solutions for small and medium-sized businesses and helping them to grow.

WhatsApp ChannelX / TwitterLinkedInInstagramFacebookGitHubYouTube

Company

  • About Us
  • Services
  • Products
  • Portfolio
  • Pricing
  • Blog
  • API Docs
  • Contact Us

Top Tools

  • All Tools
  • Image Gallery
  • Image Tools
  • Digital Marketing
  • Financial Tools
  • Games
  • SEO Tools

Legal

  • Privacy Policy
  • Terms & Conditions
  • Return Policy
  • Deals
  • Sitemap

© 2026 CodingMantra. All Rights Reserved.

    1. Home
    2. API Documentation
    3. WhatsApp Widget API

    WhatsApp Widget API

    Endpoints for managing your WhatsApp Chat Widgets. All endpoints in this section require authentication.

    GET
    /api/whatsapp-widget

    Retrieve a list of all WhatsApp Chat Widgets created by the authenticated user.

    Example Request

    curl -X GET 'https://codingmantra.com/api/whatsapp-widget' \
         -H 'Authorization: Bearer YOUR_API_KEY'

    Example Response

    {
      "data": [
        {
          "id": "QA6GQYXbtFjSwbdnAyPl",
          "brandName": "CodingMantra",
          "phoneNumber": "917201080909",
          "welcomeMessage": "Hello! How can we help you today?",
          // ... other widget properties
        }
      ]
    }

    GET
    /api/whatsapp-widget/{id}

    Retrieve the configuration for a specific WhatsApp Chat Widget by its ID.

    Example Request

    curl -X GET 'https://codingmantra.com/api/whatsapp-widget/QA6GQYXbtFjSwbdnAyPl' \
         -H 'Authorization: Bearer YOUR_API_KEY'

    Example Response

    {
      "data": {
        "id": "QA6GQYXbtFjSwbdnAyPl",
        "brandName": "CodingMantra",
        "phoneNumber": "917201080909",
        // ... other widget properties
      }
    }

    On This Page

    List WidgetsGet a Widget